summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2017-09-20 12:11:35 (GMT)
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-10-16 11:21:40 (GMT)
commit632209bea890a2ae022bbd0c3fe2105f6955a45b (patch)
treec242963330367a2afcfb1cfce1998397fcca1cce
parent13bf81ca0b8612dcbb6b1fc5f4fa770f1c1e5bb2 (diff)
downloadmajor-632209bea890a2ae022bbd0c3fe2105f6955a45b.zip
major-632209bea890a2ae022bbd0c3fe2105f6955a45b.tar.gz
major-632209bea890a2ae022bbd0c3fe2105f6955a45b.tar.bz2
Move odroid, rpi3, artik temp files to tmpfsrefs/changes/35/181835/1
Keep tar in tmpfs for artik as to not go through whole archive twice. Change-Id: Icd95b707f077a2ef474a2d61c2067eb0a50305a6
-rwxr-xr-xtct/artik_prepare_flash_conf.sh8
-rwxr-xr-xtct/odroid_prepare_flash_conf.sh4
-rwxr-xr-xtct/rpi3_prepare_flash_conf.sh4
3 files changed, 8 insertions, 8 deletions
diff --git a/tct/artik_prepare_flash_conf.sh b/tct/artik_prepare_flash_conf.sh
index ca88745..0a15489 100755
--- a/tct/artik_prepare_flash_conf.sh
+++ b/tct/artik_prepare_flash_conf.sh
@@ -53,16 +53,16 @@ esac
echo "### prepare ###"
-T_DIR="/tmp/${SDMUX}"
+T_DIR="/tmpfs/${SDMUX}"
mkdir -p "${T_DIR}"
IMAGE_UNPACKED="${T_DIR}/unpacked"
IMAGE_MOUNTPOINT="${T_DIR}/mounted"
-TMP_TAR="${T_DIR}/tizen-${SDMUX}.tar"
+TMP_TAR="/tmpfs/tizen-${SDMUX}.tar"
switch2testserver "${SDMUX}"
-unpack_image "${USR_IMAGE}" "${IMAGE_UNPACKED}"
+FILES="$(unpack_image "${USR_IMAGE}" "${IMAGE_UNPACKED}")" || die "unpack_image failed"
mount_image "${IMAGE_UNPACKED}/rootfs.img" "${IMAGE_MOUNTPOINT}"
mount_image "${IMAGE_UNPACKED}/system-data.img" "${IMAGE_MOUNTPOINT}/opt"
@@ -73,7 +73,7 @@ install_hdmi_force "${IMAGE_MOUNTPOINT}"
unmount_image "${IMAGE_MOUNTPOINT}/opt/usr"
unmount_image "${IMAGE_MOUNTPOINT}/opt"
unmount_image "${IMAGE_MOUNTPOINT}"
-tar cvf "${TMP_TAR}" -C "${IMAGE_UNPACKED}" $(tar tf "${USR_IMAGE}") || die "tar: failed"
+tar cvf "${TMP_TAR}" -C "${IMAGE_UNPACKED}" $FILES || die "tar creation failed"
echo "### flash ###"
diff --git a/tct/odroid_prepare_flash_conf.sh b/tct/odroid_prepare_flash_conf.sh
index 5ae9433..03bfd23 100755
--- a/tct/odroid_prepare_flash_conf.sh
+++ b/tct/odroid_prepare_flash_conf.sh
@@ -39,8 +39,8 @@ test -n "${IMAGE}" || die "Missing argument: image!"
echo "### prepare ###"
-IMAGE_UNPACKED="/tmp/image_unpacked_${SDMUX}"
-IMAGE_MOUNTPOINT="/tmp/image_mounted_${SDMUX}"
+IMAGE_UNPACKED="/tmpfs/image_unpacked_${SDMUX}"
+IMAGE_MOUNTPOINT="/tmpfs/image_mounted_${SDMUX}"
switch2testserver "${SDMUX}"
diff --git a/tct/rpi3_prepare_flash_conf.sh b/tct/rpi3_prepare_flash_conf.sh
index 150ce65..d82b675 100755
--- a/tct/rpi3_prepare_flash_conf.sh
+++ b/tct/rpi3_prepare_flash_conf.sh
@@ -38,8 +38,8 @@ test -n "${IMAGE}" || die "Missing argument: image!"
echo "### prepare ###"
-IMAGE_UNPACKED="/tmp/image_unpacked_${SDMUX}"
-IMAGE_MOUNTPOINT="/tmp/image_mounted_${SDMUX}"
+IMAGE_UNPACKED="/tmpfs/image_unpacked_${SDMUX}"
+IMAGE_MOUNTPOINT="/tmpfs/image_mounted_${SDMUX}"
switch2testserver "${SDMUX}"